# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bintray/client/ruby/version'

Gem::Specification.new do |spec|
  spec.name          = "bintray-client-ruby"
  spec.version       = Bintray::Client::Ruby.version
  spec.authors       = ["John Faucett"]
  spec.email         = ["jwaterfaucett@gmail.com"]

  spec.summary       = %q{Bintray API Client}
  spec.description   = %q{Bintray API Client}
  spec.homepage      = "https://github.com/jwaterfaucett/bintray-client-ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(spec|features|examples)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'faraday', '>= 0.9'
  spec.add_dependency 'faraday_middleware', '>= 0.9'
  spec.add_dependency 'faraday-detailed_logger', '>= 0.9'
  spec.add_dependency 'activesupport', '>= 4'

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency 'pry', '~> 0.10'
end
